Skip to main content
GET
/
deliveries
/
{id}
Delivery
curl --request GET \
  --url https://api.sandbox.isometric.com/registry/v0/deliveries/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/deliveries/{id}"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/registry/v0/deliveries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "credit_batch_size_total": {
    "credit_kgs": 123,
    "credits": 123
  },
  "delivered_at": "2023-11-07T05:31:56Z",
  "from_supplier": {
    "id": "spl_1CC712KFS1S0YKPS",
    "location": {
      "country_code": "<string>",
      "country_name": "<string>",
      "latitude": 0,
      "longitude": 0,
      "description": "<string>"
    },
    "long_description": "<string>",
    "organisation": {
      "domain": "isometric.com",
      "id": "org_1GB56M1ST1S0GVNA",
      "name": "<string>"
    },
    "short_description": "<string>"
  },
  "id": "dlv_1C454ZXA61S03Z9T",
  "notes": "Delivered with care.",
  "order_id": "ord_1FAN3S3WV1S0B842",
  "to_organisation": {
    "domain": "isometric.com",
    "id": "org_1GB56M1ST1S0GVNA",
    "name": "<string>"
  },
  "url": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"dlv_1C454ZXA61S03Z9T"

"dlv_1FAGG2H2PSBXHGYY"

Response

Successful Response

credit_batch_size_total
CreditQuantity · object
required
delivered_at
string<date-time>
required
from_supplier
Supplier · object
required
id
string
required
Required string length: 20 - 37
Examples:

"dlv_1C454ZXA61S03Z9T"

"dlv_1FAGG2H2PSBXHGYY"

notes
string | null
required

A publicly visible note stored with the credit delivery.

Maximum string length: 256
Example:

"Delivered with care."

order_id
string
required
Required string length: 20 - 37
Examples:

"ord_1FAN3S3WV1S0B842"

"ord_1DBVRQDHBSBXWBWP"

to_organisation
Organisation · object
required
url
string
required